#
# spec file for package udns
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           udns
Version:        0.4
Release:        bp153.1.19
Summary:        DNS resolver tools
License:        LGPL-2.1
Group:          Productivity/Networking/DNS/Utilities
Url:            http://www.corpit.ru/mjt/udns.html
Source:         http://www.corpit.ru/mjt/udns/udns-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
UDNS is a stub DNS resolver library with ability to perform both
synchronous and asynchronous DNS queries.

%package -n libudns0
Summary:        DNS resolver library
Group:          System/Libraries

%description -n libudns0
UDNS is a stub DNS resolver library with ability to perform both
synchronous and asynchronous DNS queries.

%package devel
Summary:        Development files for libudns
Group:          Development/Libraries/C and C++
Requires:       libudns0 = %{version}

%description devel
UDNS is a stub DNS resolver library with ability to perform both
synchronous and asynchronous DNS queries.

This package contains header files and documentation needed for writing
or compiling programs that use UDNS.

%prep
%setup -q

%build
./configure --enable-ipv6
make %{?_smp_mflags} shared

%install
mkdir -p %{buildroot}{%{_libdir},%{_includedir},%{_bindir},%{_mandir}/man{1,3}}
install -m755 libudns.so.0 %{buildroot}%{_libdir}
ln -s libudns.so.0 %{buildroot}%{_libdir}/libudns.so
install -m644 udns.h %{buildroot}%{_includedir}
for f in *_s; do install -m 755 $f %{buildroot}%{_bindir}/${f%%_s}; done
for f in *.[13]; do install -m644 $f %{buildroot}%{_mandir}/man${f#*.}; done

%post -n libudns0 -p /sbin/ldconfig
%postun -n libudns0 -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING.LGPL NEWS NOTES TODO
%{_bindir}/dnsget
%{_bindir}/rblcheck
%{_bindir}/ex-rdns
%{_mandir}/man1/dnsget.1%{ext_man}
%{_mandir}/man1/rblcheck.1%{ext_man}

%files -n libudns0
%defattr(-,root,root,-)
%{_libdir}/libudns.so.0

%files devel
%defattr(-,root,root,-)
%{_libdir}/libudns.so
%{_includedir}/udns.h
%{_mandir}/man3/udns.3%{ext_man}

%changelog
* Thu Sep 21 2017 jengelh@inai.de
- Rectify RPM groups.
* Sun Feb  5 2017 i@marguerite.su
- clean specfile and add changelog
- update version 0.4
  * bugfix: fix a bug in new list code introduced in 0.3
  * portability: use $(LD)/$(LDFLAGS)/$(LIBS)
- changes in 0.3
  * bugfix: refactor double-linked list implementation in
    udns_resolver.c (internal to the library) to be more
    strict-aliasing-friendly, because old code were
    miscompiled by gcc.
  * bugfix: forgotten strdup() in rblcheck
- changes in 0.2
  * bugfix: SRV RR handling: fix domain name parsing and
    crash in case if no port is specified on input for
    SRV record query
  * (trivial api) dns_set_opts() now returns number of
    unrecognized options instead of always returning 0
  * dnsget: combine -f and -o options in dnsget (and stop
    documenting -f), and report unknown/invalid -o options
    (and error out)
  * dnsget: pretty-print SSHFP RRs
* Wed Feb 23 2011 max@suse.de
- New version 0.1
- Split off lib and devel package
* Tue Jul 15 2008 max@suse.de
- Initial build.
